Bug 74806 - cascading h2ph errors
cascading h2ph errors
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: perl (Show other bugs)
AS-beta3
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-01 16:37 EDT by Eric Schwartz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-11 08:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
perl program that demonstrates the problem on ia64 (58 bytes, text/plain)
2003-01-10 20:26 EST, Eric Schwartz
no flags Details

  None (edit)
Description Eric Schwartz 2002-10-01 16:37:40 EDT
Description of Problem:
h2ph appears to be b0rken on ia64.  I'm trying to port va-ctcs to ia64,
and its 'newburn-generator' program has the line 

require 'asm/page.ph';

This loads /usr/lib/perl5/5.6.1/ia64-linux/_h2ph_pre.ph, which has a broken
line 16:

unless (defined &__LONG_MAX__) { sub __LONG_MAX__() { &9223372036854775807L } }

This should be (AFAICT):

unless (defined &__LONG_MAX__) { sub __LONG_MAX__() { &9223372036854775807 } }

(note the missing "L" at the end of the number).

Also, asm/page.ph includes /usr/lib/perl5/5.6.1/ia64-linux/linux/rhconfig.ph,
which has a b0rken line 5:

require '/boot/kernel.ph';

This should be (again, AFAICT):

require 'linux/kernel.ph';


Version-Release number of selected component (if applicable):
perl-5.6.1-26.72.4

How Reproducible:
100%

Steps to Reproduce:
1. download ctcs from sourceforge
2. Try to run 'newburn-generator'.
3. 

Actual Results:
fails, as above.

Expected Results:
doesn't fail.

Additional Information:
I'm autoconfiscating ctcs; if you're interested in my packages, I can
attach it, but you'll see the same result from the va-ctcs project.
Comment 1 Eric Schwartz 2003-01-10 20:26:14 EST
Created attachment 89295 [details]
perl program that demonstrates the problem on ia64

Please do something about this soon.  The changes are not large, and they could

easily work for Errata A.
Comment 2 Warren Togami 2005-09-11 08:16:54 EDT
Sorry nobody dealt with this report before.  I believe the policy now is RHEL2.1
will not have bug fixes anymore and only security fixes.  If you still really
need this fix in RHEL2.1 officially supported packages, then you must escalate
it through IssueTracker.

Note You need to log in before you can comment on or make changes to this bug.